Skip to main content

Regenerate App Credential

Regenerate App Credential API will return the data that match the given parameters.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request​

POST https://{tenantId}.{hostname}/digitanium/v4/apps/{appname}/credentials

OR

POST https://{tenantId}.{hostname}/digitanium/v4/app/secret?appname={appname}

HTTP request URL for SHIFT​

POST https://{hostname}/auth/realms/{tenantId}/v3_client/secret/{appname}
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

Parameter NameTypeDescription
appnameStringUnique appName of the application

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.
dataStringThe client secret, generated during app creation.

Sample Response​

{
"message": "App credential regenerated successfully",
"status": "OK",
"subSystem": 2,
"data": "31cfcf92-1526-42e9-9bde-1957bbf6c0e4"
}

Response Status Information​

Status CodeStatusMessage
200OKApp credential regenerated successfully
401UnauthorizedHTTP 401 Unauthorized
404APP_NOT_FOUND_STATUSApp does not exist